using System.Drawing;
using System.Drawing.Drawing2D;

namespace Pilz.UI;

public class ArrowLineCapProps : LineCapProps
{

    public Size Size { get; set; } = new Size(10, 10);
    public bool IsFilles { get; set; } = true;

    internal override LineCapConfigurationArgs Configure()
    {
        var cap = new AdjustableArrowCap(Size.Width, Size.Height, IsFilles);
        return new LineCapConfigurationArgs(cap);
    }

}